KArchiveFile Class Reference

`#include <karchive.h>`

Inheritance diagram for KArchiveFile:

## Public Member Functions

| KArchiveFile (KArchive *archive, const QString &name, int access, int date, const QString &user, const QString &group, const QString &symlink, int pos, int size)
int | position () const
int | size () const
void | setSize (int s)
virtual QByteArray | data () const
QIODevice * | device () const
virtual bool | isFile () const
void | copyTo (const QString &dest) const
Public Member Functions inherited from KArchiveEntry
| KArchiveEntry (KArchive *archive, const QString &name, int access, int date, const QString &user, const QString &group, const QString &symlink)
QDateTime | datetime () const
int | date () const
QString | name () const
mode_t | permissions () const
QString | user () const
QString | group () const
QString | symlink () const
virtual bool | isDirectory () const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KArchiveEntry
KArchive * | archive () const

## Detailed Description

Represents a file entry in a KArchive.

A file in an archive.

See also
  KArchive
  KArchiveDirectory

Definition at line 490 of file karchive.h.

## Constructor & Destructor Documentation

KArchiveFile::KArchiveFile | ( | KArchive * | archive,
|  | const QString & | name,
|  | int | access,
|  | int | date,
|  | const QString & | user,
|  | const QString & | group,
|  | const QString & | symlink,
|  | int | pos,
|  | int | size
| ) |  |

Creates a new file entry.

Parameters

  archive | the entries archive
  name | the name of the entry
  access | the permissions in unix format
  date | the date (in seconds since 1970)
  user | the user that owns the entry
  group | the group that owns the entry
  symlink | the symlink, or QString::null
  pos | the position of the file in the directory
  size | the size of the file

Definition at line 472 of file karchive.cpp.

## Member Function Documentation

void KArchiveFile::copyTo | ( | const QString & | dest | ) | const

Extracts the file to the directory `dest`.

Parameters

  dest | the directory to extract to

Since
  3.1

Definition at line 514 of file karchive.cpp.

QByteArray KArchiveFile::data | ( |  | ) | const

virtual

Returns the data of the file.

Call data() with care (only once per file), this data isn't cached.

Returns
  the content of this file.

Definition at line 492 of file karchive.cpp.

QIODevice * KArchiveFile::device | ( |  | ) | const

This method returns QIODevice (internal class: KLimitedIODevice) on top of the underlying QIODevice.

This is obviously for reading only. Note that the ownership of the device is being transferred to the caller, who will have to delete it. The returned device auto-opens (in readonly mode), no need to open it.

Returns
  the QIODevice of the file

Definition at line 509 of file karchive.cpp.

virtual bool KArchiveFile::isFile | ( |  | ) | const

inline virtual

Checks whether this entry is a file.

Returns
  true, since this entry is a file

Reimplemented from KArchiveEntry.

Definition at line 548 of file karchive.h.

int KArchiveFile::position | ( |  | ) | const

Position of the data in the [uncompressed] archive.

Returns
  the position of the file

Definition at line 482 of file karchive.cpp.

void KArchiveFile::setSize | ( | int | s | ) |

inline

Set size of data, usually after writing the file.

Parameters

  s | the new size of the file

Definition at line 525 of file karchive.h.

int KArchiveFile::size | ( |  | ) | const

Size of the data.

Returns
  the size of the file

Definition at line 487 of file karchive.cpp.

The documentation for this class was generated from the following files:

- karchive.h
- karchive.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys